package com.toughra.ustadmobile.databinding;
import com.toughra.ustadmobile.R;
import com.toughra.ustadmobile.BR;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import android.view.View;
@SuppressWarnings("unchecked")
public class FragmentClazzEditBindingImpl extends FragmentClazzEditBinding implements com.toughra.ustadmobile.generated.callback.OnClickListener.Listener, com.toughra.ustadmobile.generated.callback.OnCheckedChangeListener.Listener {

    @Nullable
    private static final androidx.databinding.ViewDataBinding.IncludedLayouts sIncludes;
    @Nullable
    private static final android.util.SparseIntArray sViewsWithIds;
    static {
        sIncludes = new androidx.databinding.ViewDataBinding.IncludedLayouts(31);
        sIncludes.setIncludes(1, 
            new String[] {"item_createnew", "item_createnew"},
            new int[] {20, 21},
            new int[] {com.toughra.ustadmobile.R.layout.item_createnew,
                com.toughra.ustadmobile.R.layout.item_createnew});
        sViewsWithIds = new android.util.SparseIntArray();
        sViewsWithIds.put(R.id.activity_clazz_edit_basic_details_heading, 22);
        sViewsWithIds.put(R.id.activity_clazz_edit_course_block_heading, 23);
        sViewsWithIds.put(R.id.activity_clazz_edit_course_block_recyclerview, 24);
        sViewsWithIds.put(R.id.activity_clazz_edit_schedule_heading, 25);
        sViewsWithIds.put(R.id.activity_clazz_edit_schedule_recyclerview, 26);
        sViewsWithIds.put(R.id.activity_clazz_edit_holiday_calendar_selected, 27);
        sViewsWithIds.put(R.id.activity_clazz_edit_setup_heading, 28);
        sViewsWithIds.put(R.id.clazz_enrolment_policy, 29);
        sViewsWithIds.put(R.id.activity_clazz_edit_terminology, 30);
    }
    // views
    @NonNull
    private final com.google.android.material.textfield.TextInputEditText mboundView13;
    @NonNull
    private final com.google.android.material.textfield.TextInputEditText mboundView15;
    @NonNull
    private final com.ustadmobile.port.android.view.IdOptionAutoCompleteTextView mboundView18;
    // variables
    @Nullable
    private final android.view.View.OnClickListener mCallback55;
    @Nullable
    private final android.view.View.OnClickListener mCallback56;
    @Nullable
    private final android.view.View.OnClickListener mCallback59;
    @Nullable
    private final android.view.View.OnClickListener mCallback62;
    @Nullable
    private final android.view.View.OnClickListener mCallback57;
    @Nullable
    private final android.view.View.OnClickListener mCallback60;
    @Nullable
    private final android.view.View.OnClickListener mCallback58;
    @Nullable
    private final android.widget.CompoundButton.OnCheckedChangeListener mCallback61;
    // values
    // listeners
    // Inverse Binding Event Handlers
    private androidx.databinding.InverseBindingListener activityClazzEditDescTextandroidTextAttrChanged = new androidx.databinding.InverseBindingListener() {
        @Override
        public void onChange() {
            // Inverse of clazz.clazzDesc
            //         is clazz.setClazzDesc((java.lang.String) callbackArg_0)
            java.lang.String callbackArg_0 = androidx.databinding.adapters.TextViewBindingAdapter.getTextString(activityClazzEditDescText);
            // localize variables for thread safety
            // clazz != null
            boolean clazzJavaLangObjectNull = false;
            // clazz
            com.ustadmobile.lib.db.entities.ClazzWithHolidayCalendarAndSchoolAndTerminology clazz = mClazz;
            // clazz.clazzDesc
            java.lang.String clazzClazzDesc = null;



            clazzJavaLangObjectNull = (clazz) != (null);
            if (clazzJavaLangObjectNull) {




                clazz.setClazzDesc(((java.lang.String) (callbackArg_0)));
            }
        }
    };
    private androidx.databinding.InverseBindingListener activityClazzEditNameTextandroidTextAttrChanged = new androidx.databinding.InverseBindingListener() {
        @Override
        public void onChange() {
            // Inverse of clazz.clazzName
            //         is clazz.setClazzName((java.lang.String) callbackArg_0)
            java.lang.String callbackArg_0 = androidx.databinding.adapters.TextViewBindingAdapter.getTextString(activityClazzEditNameText);
            // localize variables for thread safety
            // clazz != null
            boolean clazzJavaLangObjectNull = false;
            // clazz
            com.ustadmobile.lib.db.entities.ClazzWithHolidayCalendarAndSchoolAndTerminology clazz = mClazz;
            // clazz.clazzName
            java.lang.String clazzClazzName = null;



            clazzJavaLangObjectNull = (clazz) != (null);
            if (clazzJavaLangObjectNull) {




                clazz.setClazzName(((java.lang.String) (callbackArg_0)));
            }
        }
    };
    private androidx.databinding.InverseBindingListener fragmentClazzEditImageViewimageUriAttrChanged = new androidx.databinding.InverseBindingListener() {
        @Override
        public void onChange() {
            // Inverse of coursePicture.coursePictureUri
            //         is coursePicture.setCoursePictureUri((java.lang.String) callbackArg_0)
            java.lang.String callbackArg_0 = com.ustadmobile.port.android.view.binding.ImageViewBindingsKt.getRealImageFilePath(fragmentClazzEditImageView);
            // localize variables for thread safety
            // coursePicture != null
            boolean coursePictureJavaLangObjectNull = false;
            // coursePicture
            com.ustadmobile.lib.db.entities.CoursePicture coursePicture = mCoursePicture;
            // coursePicture.coursePictureUri
            java.lang.String coursePictureCoursePictureUri = null;



            coursePictureJavaLangObjectNull = (coursePicture) != (null);
            if (coursePictureJavaLangObjectNull) {




                coursePicture.setCoursePictureUri(((java.lang.String) (callbackArg_0)));
            }
        }
    };
    private androidx.databinding.InverseBindingListener mboundView13dateTimeInMillisAttrChanged = new androidx.databinding.InverseBindingListener() {
        @Override
        public void onChange() {
            // Inverse of clazz.clazzEndTime
            //         is clazz.setClazzEndTime((long) callbackArg_0)
            long callbackArg_0 = com.ustadmobile.port.android.view.binding.DatePickerBindingAdapter2Kt.getDateTimeInMillis(mboundView13);
            // localize variables for thread safety
            // clazz != null
            boolean clazzJavaLangObjectNull = false;
            // clazz
            com.ustadmobile.lib.db.entities.ClazzWithHolidayCalendarAndSchoolAndTerminology clazz = mClazz;
            // clazz.clazzEndTime
            long clazzClazzEndTime = 0;



            clazzJavaLangObjectNull = (clazz) != (null);
            if (clazzJavaLangObjectNull) {




                clazz.setClazzEndTime(((long) (callbackArg_0)));
            }
        }
    };
    private androidx.databinding.InverseBindingListener mboundView18selectedMessageIdOptionAttrChanged = new androidx.databinding.InverseBindingListener() {
        @Override
        public void onChange() {
            // Inverse of clazz.clazzEnrolmentPolicy
            //         is clazz.setClazzEnrolmentPolicy((int) callbackArg_0)
            int callbackArg_0 = com.ustadmobile.port.android.view.binding.MessageIdAutoCompleteTextViewBindingsKt.getSelectedMessageIdOption(mboundView18);
            // localize variables for thread safety
            // clazz != null
            boolean clazzJavaLangObjectNull = false;
            // clazz
            com.ustadmobile.lib.db.entities.ClazzWithHolidayCalendarAndSchoolAndTerminology clazz = mClazz;
            // clazz.clazzEnrolmentPolicy
            int clazzClazzEnrolmentPolicy = 0;



            clazzJavaLangObjectNull = (clazz) != (null);
            if (clazzJavaLangObjectNull) {




                clazz.setClazzEnrolmentPolicy(((int) (callbackArg_0)));
            }
        }
    };
    private androidx.databinding.InverseBindingListener startDateTextdateTimeInMillisAttrChanged = new androidx.databinding.InverseBindingListener() {
        @Override
        public void onChange() {
            // Inverse of clazz.clazzStartTime
            //         is clazz.setClazzStartTime((long) callbackArg_0)
            long callbackArg_0 = com.ustadmobile.port.android.view.binding.DatePickerBindingAdapter2Kt.getDateTimeInMillis(startDateText);
            // localize variables for thread safety
            // clazz != null
            boolean clazzJavaLangObjectNull = false;
            // clazz
            com.ustadmobile.lib.db.entities.ClazzWithHolidayCalendarAndSchoolAndTerminology clazz = mClazz;
            // clazz.clazzStartTime
            long clazzClazzStartTime = 0;



            clazzJavaLangObjectNull = (clazz) != (null);
            if (clazzJavaLangObjectNull) {




                clazz.setClazzStartTime(((long) (callbackArg_0)));
            }
        }
    };

    public FragmentClazzEditBindingImpl(@Nullable androidx.databinding.DataBindingComponent bindingComponent, @NonNull View root) {
        this(bindingComponent, root, mapBindings(bindingComponent, root, 31, sIncludes, sViewsWithIds));
    }
    private FragmentClazzEditBindingImpl(androidx.databinding.DataBindingComponent bindingComponent, View root, Object[] bindings) {
        super(bindingComponent, root, 2
            , (com.google.android.material.switchmaterial.SwitchMaterial) bindings[17]
            , (android.widget.TextView) bindings[22]
            , (android.widget.TextView) bindings[23]
            , (com.ernestoyaquello.dragdropswiperecyclerview.DragDropSwipeRecyclerView) bindings[24]
            , (com.google.android.material.textfield.TextInputEditText) bindings[7]
            , (com.google.android.material.textfield.TextInputLayout) bindings[6]
            , (androidx.constraintlayout.widget.ConstraintLayout) bindings[1]
            , (com.google.android.material.textfield.TextInputLayout) bindings[12]
            , (androidx.core.widget.NestedScrollView) bindings[0]
            , (com.google.android.material.textfield.TextInputLayout) bindings[27]
            , (com.google.android.material.textfield.TextInputEditText) bindings[16]
            , (com.google.android.material.textfield.TextInputLayout) bindings[4]
            , (com.google.android.material.textfield.TextInputEditText) bindings[5]
            , (android.widget.TextView) bindings[25]
            , (androidx.recyclerview.widget.RecyclerView) bindings[26]
            , (android.widget.TextView) bindings[28]
            , (com.google.android.material.textfield.TextInputLayout) bindings[10]
            , (com.google.android.material.textfield.TextInputLayout) bindings[30]
            , (com.google.android.material.textfield.TextInputEditText) bindings[19]
            , (com.google.android.material.textfield.TextInputLayout) bindings[14]
            , (com.toughra.ustadmobile.databinding.ItemCreatenewBinding) bindings[20]
            , (com.toughra.ustadmobile.databinding.ItemCreatenewBinding) bindings[21]
            , (com.google.android.material.textfield.TextInputLayout) bindings[29]
            , (de.hdodenhof.circleimageview.CircleImageView) bindings[2]
            , (com.google.android.material.textfield.TextInputLayout) bindings[8]
            , (com.google.android.material.textfield.TextInputEditText) bindings[9]
            , (androidx.appcompat.widget.AppCompatImageView) bindings[3]
            , (com.google.android.material.textfield.TextInputEditText) bindings[11]
            );
        this.activityClazzEditAttendanceSwitch.setTag(null);
        this.activityClazzEditDescText.setTag(null);
        this.activityClazzEditDescription.setTag(null);
        this.activityClazzEditEditClx.setTag(null);
        this.activityClazzEditEndDateEdittext.setTag(null);
        this.activityClazzEditFieldsScrollview.setTag(null);
        this.activityClazzEditHolidayCalendarText.setTag(null);
        this.activityClazzEditName.setTag(null);
        this.activityClazzEditNameText.setTag(null);
        this.activityClazzEditStartDateEdittext.setTag(null);
        this.activityClazzEditTerminologyText.setTag(null);
        this.activityClazzEditTimezoneText.setTag(null);
        setContainedBinding(this.caEditCourseAddNewBlock);
        setContainedBinding(this.caEditCourseAddNewSchedule);
        this.fragmentClazzEditImageView.setTag(null);
        this.fragmentClazzEditSchoolSelected.setTag(null);
        this.fragmentClazzEditSchoolText.setTag(null);
        this.itemPresenterFieldRowPicturePhotoicon.setTag(null);
        this.mboundView13 = (com.google.android.material.textfield.TextInputEditText) bindings[13];
        this.mboundView13.setTag(null);
        this.mboundView15 = (com.google.android.material.textfield.TextInputEditText) bindings[15];
        this.mboundView15.setTag(null);
        this.mboundView18 = (com.ustadmobile.port.android.view.IdOptionAutoCompleteTextView) bindings[18];
        this.mboundView18.setTag(null);
        this.startDateText.setTag(null);
        setRootTag(root);
        // listeners
        mCallback55 = new com.toughra.ustadmobile.generated.callback.OnClickListener(this, 1);
        mCallback56 = new com.toughra.ustadmobile.generated.callback.OnClickListener(this, 2);
        mCallback59 = new com.toughra.ustadmobile.generated.callback.OnClickListener(this, 5);
        mCallback62 = new com.toughra.ustadmobile.generated.callback.OnClickListener(this, 8);
        mCallback57 = new com.toughra.ustadmobile.generated.callback.OnClickListener(this, 3);
        mCallback60 = new com.toughra.ustadmobile.generated.callback.OnClickListener(this, 6);
        mCallback58 = new com.toughra.ustadmobile.generated.callback.OnClickListener(this, 4);
        mCallback61 = new com.toughra.ustadmobile.generated.callback.OnCheckedChangeListener(this, 7);
        invalidateAll();
    }

    @Override
    public void invalidateAll() {
        synchronized(this) {
                mDirtyFlags = 0x40000L;
        }
        caEditCourseAddNewBlock.invalidateAll();
        caEditCourseAddNewSchedule.invalidateAll();
        requestRebind();
    }

    @Override
    public boolean hasPendingBindings() {
        synchronized(this) {
            if (mDirtyFlags != 0) {
                return true;
            }
        }
        if (caEditCourseAddNewBlock.hasPendingBindings()) {
            return true;
        }
        if (caEditCourseAddNewSchedule.hasPendingBindings()) {
            return true;
        }
        return false;
    }

    @Override
    public boolean setVariable(int variableId, @Nullable Object variable)  {
        boolean variableSet = true;
        if (BR.imageViewLifecycleObserver == variableId) {
            setImageViewLifecycleObserver((com.ustadmobile.port.android.view.binding.ImageViewLifecycleObserver2) variable);
        }
        else if (BR.scheduleOneToManyListener == variableId) {
            setScheduleOneToManyListener((com.ustadmobile.core.util.OneToManyJoinEditListener<com.ustadmobile.lib.db.entities.Schedule>) variable);
        }
        else if (BR.loading == variableId) {
            setLoading((boolean) variable);
        }
        else if (BR.courseBlockOneToManyListener == variableId) {
            setCourseBlockOneToManyListener((com.ustadmobile.core.util.TreeOneToManyJoinEditListener<com.ustadmobile.lib.db.entities.CourseBlockWithEntity>) variable);
        }
        else if (BR.clazz == variableId) {
            setClazz((com.ustadmobile.lib.db.entities.ClazzWithHolidayCalendarAndSchoolAndTerminology) variable);
        }
        else if (BR.activityEventHandler == variableId) {
            setActivityEventHandler((com.ustadmobile.port.android.view.ClazzEditFragmentEventHandler) variable);
        }
        else if (BR.mPresenter == variableId) {
            setMPresenter((com.ustadmobile.core.controller.ClazzEdit2Presenter) variable);
        }
        else if (BR.fieldsEnabled == variableId) {
            setFieldsEnabled((boolean) variable);
        }
        else if (BR.coursePicture == variableId) {
            setCoursePicture((com.ustadmobile.lib.db.entities.CoursePicture) variable);
        }
        else if (BR.featuresBitmaskFlags == variableId) {
            setFeaturesBitmaskFlags((java.util.List<com.ustadmobile.core.model.BitmaskFlag>) variable);
        }
        else if (BR.clazzStartDateError == variableId) {
            setClazzStartDateError((java.lang.String) variable);
        }
        else if (BR.clazzEndDateError == variableId) {
            setClazzEndDateError((java.lang.String) variable);
        }
        else if (BR.dateTimeModeEnd == variableId) {
            setDateTimeModeEnd((java.lang.Integer) variable);
        }
        else if (BR.dateTimeMode == variableId) {
            setDateTimeMode((java.lang.Integer) variable);
        }
        else if (BR.timeZoneId == variableId) {
            setTimeZoneId((java.lang.String) variable);
        }
        else if (BR.enrolmentPolicy == variableId) {
            setEnrolmentPolicy((java.util.List<com.ustadmobile.core.util.IdOption>) variable);
        }
        else {
            variableSet = false;
        }
            return variableSet;
    }

    public void setImageViewLifecycleObserver(@Nullable com.ustadmobile.port.android.view.binding.ImageViewLifecycleObserver2 ImageViewLifecycleObserver) {
        this.mImageViewLifecycleObserver = ImageViewLifecycleObserver;
        synchronized(this) {
            mDirtyFlags |= 0x4L;
        }
        notifyPropertyChanged(BR.imageViewLifecycleObserver);
        super.requestRebind();
    }
    public void setScheduleOneToManyListener(@Nullable com.ustadmobile.core.util.OneToManyJoinEditListener<com.ustadmobile.lib.db.entities.Schedule> ScheduleOneToManyListener) {
        this.mScheduleOneToManyListener = ScheduleOneToManyListener;
        synchronized(this) {
            mDirtyFlags |= 0x8L;
        }
        notifyPropertyChanged(BR.scheduleOneToManyListener);
        super.requestRebind();
    }
    public void setLoading(boolean Loading) {
        this.mLoading = Loading;
    }
    public void setCourseBlockOneToManyListener(@Nullable com.ustadmobile.core.util.TreeOneToManyJoinEditListener<com.ustadmobile.lib.db.entities.CourseBlockWithEntity> CourseBlockOneToManyListener) {
        this.mCourseBlockOneToManyListener = CourseBlockOneToManyListener;
    }
    public void setClazz(@Nullable com.ustadmobile.lib.db.entities.ClazzWithHolidayCalendarAndSchoolAndTerminology Clazz) {
        this.mClazz = Clazz;
        synchronized(this) {
            mDirtyFlags |= 0x40L;
        }
        notifyPropertyChanged(BR.clazz);
        super.requestRebind();
    }
    public void setActivityEventHandler(@Nullable com.ustadmobile.port.android.view.ClazzEditFragmentEventHandler ActivityEventHandler) {
        this.mActivityEventHandler = ActivityEventHandler;
        synchronized(this) {
            mDirtyFlags |= 0x80L;
        }
        notifyPropertyChanged(BR.activityEventHandler);
        super.requestRebind();
    }
    public void setMPresenter(@Nullable com.ustadmobile.core.controller.ClazzEdit2Presenter MPresenter) {
        this.mMPresenter = MPresenter;
        synchronized(this) {
            mDirtyFlags |= 0x100L;
        }
        notifyPropertyChanged(BR.mPresenter);
        super.requestRebind();
    }
    public void setFieldsEnabled(boolean FieldsEnabled) {
        this.mFieldsEnabled = FieldsEnabled;
        synchronized(this) {
            mDirtyFlags |= 0x200L;
        }
        notifyPropertyChanged(BR.fieldsEnabled);
        super.requestRebind();
    }
    public void setCoursePicture(@Nullable com.ustadmobile.lib.db.entities.CoursePicture CoursePicture) {
        this.mCoursePicture = CoursePicture;
        synchronized(this) {
            mDirtyFlags |= 0x400L;
        }
        notifyPropertyChanged(BR.coursePicture);
        super.requestRebind();
    }
    public void setFeaturesBitmaskFlags(@Nullable java.util.List<com.ustadmobile.core.model.BitmaskFlag> FeaturesBitmaskFlags) {
        this.mFeaturesBitmaskFlags = FeaturesBitmaskFlags;
    }
    public void setClazzStartDateError(@Nullable java.lang.String ClazzStartDateError) {
        this.mClazzStartDateError = ClazzStartDateError;
        synchronized(this) {
            mDirtyFlags |= 0x1000L;
        }
        notifyPropertyChanged(BR.clazzStartDateError);
        super.requestRebind();
    }
    public void setClazzEndDateError(@Nullable java.lang.String ClazzEndDateError) {
        this.mClazzEndDateError = ClazzEndDateError;
        synchronized(this) {
            mDirtyFlags |= 0x2000L;
        }
        notifyPropertyChanged(BR.clazzEndDateError);
        super.requestRebind();
    }
    public void setDateTimeModeEnd(@Nullable java.lang.Integer DateTimeModeEnd) {
        this.mDateTimeModeEnd = DateTimeModeEnd;
        synchronized(this) {
            mDirtyFlags |= 0x4000L;
        }
        notifyPropertyChanged(BR.dateTimeModeEnd);
        super.requestRebind();
    }
    public void setDateTimeMode(@Nullable java.lang.Integer DateTimeMode) {
        this.mDateTimeMode = DateTimeMode;
        synchronized(this) {
            mDirtyFlags |= 0x8000L;
        }
        notifyPropertyChanged(BR.dateTimeMode);
        super.requestRebind();
    }
    public void setTimeZoneId(@Nullable java.lang.String TimeZoneId) {
        this.mTimeZoneId = TimeZoneId;
        synchronized(this) {
            mDirtyFlags |= 0x10000L;
        }
        notifyPropertyChanged(BR.timeZoneId);
        super.requestRebind();
    }
    public void setEnrolmentPolicy(@Nullable java.util.List<com.ustadmobile.core.util.IdOption> EnrolmentPolicy) {
        this.mEnrolmentPolicy = EnrolmentPolicy;
        synchronized(this) {
            mDirtyFlags |= 0x20000L;
        }
        notifyPropertyChanged(BR.enrolmentPolicy);
        super.requestRebind();
    }

    @Override
    public void setLifecycleOwner(@Nullable androidx.lifecycle.LifecycleOwner lifecycleOwner) {
        super.setLifecycleOwner(lifecycleOwner);
        caEditCourseAddNewBlock.setLifecycleOwner(lifecycleOwner);
        caEditCourseAddNewSchedule.setLifecycleOwner(lifecycleOwner);
    }

    @Override
    protected boolean onFieldChange(int localFieldId, Object object, int fieldId) {
        switch (localFieldId) {
            case 0 :
                return onChangeCaEditCourseAddNewBlock((com.toughra.ustadmobile.databinding.ItemCreatenewBinding) object, fieldId);
            case 1 :
                return onChangeCaEditCourseAddNewSchedule((com.toughra.ustadmobile.databinding.ItemCreatenewBinding) object, fieldId);
        }
        return false;
    }
    private boolean onChangeCaEditCourseAddNewBlock(com.toughra.ustadmobile.databinding.ItemCreatenewBinding CaEditCourseAddNewBlock, int fieldId) {
        if (fieldId == BR._all) {
            synchronized(this) {
                    mDirtyFlags |= 0x1L;
            }
            return true;
        }
        return false;
    }
    private boolean onChangeCaEditCourseAddNewSchedule(com.toughra.ustadmobile.databinding.ItemCreatenewBinding CaEditCourseAddNewSchedule, int fieldId) {
        if (fieldId == BR._all) {
            synchronized(this) {
                    mDirtyFlags |= 0x2L;
            }
            return true;
        }
        return false;
    }

    @Override
    protected void executeBindings() {
        long dirtyFlags = 0;
        synchronized(this) {
            dirtyFlags = mDirtyFlags;
            mDirtyFlags = 0;
        }
        long clazzClazzEndTime = 0;
        int androidxDatabindingViewDataBindingSafeUnboxDateTimeModeEnd = 0;
        long clazzClazzStartTime = 0;
        java.lang.String clazzTerminologyCtTitle = null;
        com.ustadmobile.port.android.view.binding.ImageViewLifecycleObserver2 imageViewLifecycleObserver = mImageViewLifecycleObserver;
        boolean clazzClazzFeaturesClazzCLAZZFEATUREATTENDANCEClazzCLAZZFEATUREATTENDANCE = false;
        java.lang.String clazzSchoolSchoolName = null;
        com.ustadmobile.core.util.OneToManyJoinEditListener<com.ustadmobile.lib.db.entities.Schedule> scheduleOneToManyListener = mScheduleOneToManyListener;
        int clazzClazzEnrolmentPolicy = 0;
        com.ustadmobile.lib.db.entities.School clazzSchool = null;
        long clazzClazzFeatures = 0;
        java.lang.String clazzClazzTimeZone = null;
        java.lang.String coursePictureCoursePictureUri = null;
        java.lang.String clazzHolidayCalendarUmCalendarName = null;
        com.ustadmobile.lib.db.entities.CourseTerminology clazzTerminology = null;
        com.ustadmobile.lib.db.entities.ClazzWithHolidayCalendarAndSchoolAndTerminology clazz = mClazz;
        com.ustadmobile.port.android.view.ClazzEditFragmentEventHandler activityEventHandler = mActivityEventHandler;
        java.lang.String clazzClazzName = null;
        com.ustadmobile.core.controller.ClazzEdit2Presenter mPresenter = mMPresenter;
        long clazzClazzFeaturesClazzCLAZZFEATUREATTENDANCE = 0;
        com.ustadmobile.lib.db.entities.HolidayCalendar clazzHolidayCalendar = null;
        boolean fieldsEnabled = mFieldsEnabled;
        com.ustadmobile.lib.db.entities.CoursePicture coursePicture = mCoursePicture;
        java.lang.String clazzStartDateError = mClazzStartDateError;
        boolean clazzEndDateErrorJavaLangObjectNull = false;
        java.lang.String clazzEndDateError = mClazzEndDateError;
        java.lang.Integer dateTimeModeEnd = mDateTimeModeEnd;
        int androidxDatabindingViewDataBindingSafeUnboxDateTimeMode = 0;
        java.lang.Integer dateTimeMode = mDateTimeMode;
        java.lang.String clazzClazzDesc = null;
        boolean clazzStartDateErrorJavaLangObjectNull = false;
        java.lang.String timeZoneId = mTimeZoneId;
        java.util.List<com.ustadmobile.core.util.IdOption> enrolmentPolicy = mEnrolmentPolicy;

        if ((dirtyFlags & 0x40004L) != 0) {
        }
        if ((dirtyFlags & 0x7c040L) != 0) {


            if ((dirtyFlags & 0x54040L) != 0) {

                    if (clazz != null) {
                        // read clazz.clazzEndTime
                        clazzClazzEndTime = clazz.getClazzEndTime();
                    }
            }
            if ((dirtyFlags & 0x58040L) != 0) {

                    if (clazz != null) {
                        // read clazz.clazzStartTime
                        clazzClazzStartTime = clazz.getClazzStartTime();
                    }
            }
            if ((dirtyFlags & 0x60040L) != 0) {

                    if (clazz != null) {
                        // read clazz.clazzEnrolmentPolicy
                        clazzClazzEnrolmentPolicy = clazz.getClazzEnrolmentPolicy();
                    }
            }
            if ((dirtyFlags & 0x40040L) != 0) {

                    if (clazz != null) {
                        // read clazz.school
                        clazzSchool = clazz.getSchool();
                        // read clazz.clazzFeatures
                        clazzClazzFeatures = clazz.getClazzFeatures();
                        // read clazz.clazzTimeZone
                        clazzClazzTimeZone = clazz.getClazzTimeZone();
                        // read clazz.terminology
                        clazzTerminology = clazz.getTerminology();
                        // read clazz.clazzName
                        clazzClazzName = clazz.getClazzName();
                        // read clazz.holidayCalendar
                        clazzHolidayCalendar = clazz.getHolidayCalendar();
                        // read clazz.clazzDesc
                        clazzClazzDesc = clazz.getClazzDesc();
                    }


                    if (clazzSchool != null) {
                        // read clazz.school.schoolName
                        clazzSchoolSchoolName = clazzSchool.getSchoolName();
                    }
                    // read (clazz.clazzFeatures) & (Clazz.CLAZZ_FEATURE_ATTENDANCE)
                    clazzClazzFeaturesClazzCLAZZFEATUREATTENDANCE = (clazzClazzFeatures) & (com.ustadmobile.lib.db.entities.Clazz.CLAZZ_FEATURE_ATTENDANCE);
                    if (clazzTerminology != null) {
                        // read clazz.terminology.ctTitle
                        clazzTerminologyCtTitle = clazzTerminology.getCtTitle();
                    }
                    if (clazzHolidayCalendar != null) {
                        // read clazz.holidayCalendar.umCalendarName
                        clazzHolidayCalendarUmCalendarName = clazzHolidayCalendar.getUmCalendarName();
                    }


                    // read (clazz.clazzFeatures) & (Clazz.CLAZZ_FEATURE_ATTENDANCE) == Clazz.CLAZZ_FEATURE_ATTENDANCE
                    clazzClazzFeaturesClazzCLAZZFEATUREATTENDANCEClazzCLAZZFEATUREATTENDANCE = (clazzClazzFeaturesClazzCLAZZFEATUREATTENDANCE) == (com.ustadmobile.lib.db.entities.Clazz.CLAZZ_FEATURE_ATTENDANCE);
            }
        }
        if ((dirtyFlags & 0x40200L) != 0) {
        }
        if ((dirtyFlags & 0x40400L) != 0) {



                if (coursePicture != null) {
                    // read coursePicture.coursePictureUri
                    coursePictureCoursePictureUri = coursePicture.getCoursePictureUri();
                }
        }
        if ((dirtyFlags & 0x41000L) != 0) {



                // read clazzStartDateError != null
                clazzStartDateErrorJavaLangObjectNull = (clazzStartDateError) != (null);
        }
        if ((dirtyFlags & 0x42000L) != 0) {



                // read clazzEndDateError != null
                clazzEndDateErrorJavaLangObjectNull = (clazzEndDateError) != (null);
        }
        if ((dirtyFlags & 0x54040L) != 0) {



                // read androidx.databinding.ViewDataBinding.safeUnbox(dateTimeModeEnd)
                androidxDatabindingViewDataBindingSafeUnboxDateTimeModeEnd = androidx.databinding.ViewDataBinding.safeUnbox(dateTimeModeEnd);
        }
        if ((dirtyFlags & 0x58040L) != 0) {



                // read androidx.databinding.ViewDataBinding.safeUnbox(dateTimeMode)
                androidxDatabindingViewDataBindingSafeUnboxDateTimeMode = androidx.databinding.ViewDataBinding.safeUnbox(dateTimeMode);
        }
        if ((dirtyFlags & 0x5c040L) != 0) {


            if ((dirtyFlags & 0x58040L) != 0) {
            }
            if ((dirtyFlags & 0x54040L) != 0) {
            }
        }
        if ((dirtyFlags & 0x60040L) != 0) {
        }
        // batch finished
        if ((dirtyFlags & 0x40200L) != 0) {
            // api target 1

            this.activityClazzEditAttendanceSwitch.setEnabled(fieldsEnabled);
            this.activityClazzEditDescText.setEnabled(fieldsEnabled);
            this.activityClazzEditDescription.setEnabled(fieldsEnabled);
            this.activityClazzEditEndDateEdittext.setEnabled(fieldsEnabled);
            this.activityClazzEditName.setEnabled(fieldsEnabled);
            this.activityClazzEditNameText.setEnabled(fieldsEnabled);
            this.activityClazzEditStartDateEdittext.setEnabled(fieldsEnabled);
            this.activityClazzEditTimezoneText.setEnabled(fieldsEnabled);
        }
        if ((dirtyFlags & 0x40040L) != 0) {
            // api target 1

            androidx.databinding.adapters.CompoundButtonBindingAdapter.setChecked(this.activityClazzEditAttendanceSwitch, clazzClazzFeaturesClazzCLAZZFEATUREATTENDANCEClazzCLAZZFEATUREATTENDANCE);
            androidx.databinding.adapters.TextViewBindingAdapter.setText(this.activityClazzEditDescText, clazzClazzDesc);
            androidx.databinding.adapters.TextViewBindingAdapter.setText(this.activityClazzEditHolidayCalendarText, clazzHolidayCalendarUmCalendarName);
            androidx.databinding.adapters.TextViewBindingAdapter.setText(this.activityClazzEditNameText, clazzClazzName);
            androidx.databinding.adapters.TextViewBindingAdapter.setText(this.activityClazzEditTerminologyText, clazzTerminologyCtTitle);
            androidx.databinding.adapters.TextViewBindingAdapter.setText(this.fragmentClazzEditSchoolText, clazzSchoolSchoolName);
            androidx.databinding.adapters.TextViewBindingAdapter.setText(this.mboundView15, clazzClazzTimeZone);
        }
        if ((dirtyFlags & 0x40000L) != 0) {
            // api target 1

            androidx.databinding.adapters.CompoundButtonBindingAdapter.setListeners(this.activityClazzEditAttendanceSwitch, mCallback61, (androidx.databinding.InverseBindingListener)null);
            androidx.databinding.adapters.TextViewBindingAdapter.setTextWatcher(this.activityClazzEditDescText, (androidx.databinding.adapters.TextViewBindingAdapter.BeforeTextChanged)null, (androidx.databinding.adapters.TextViewBindingAdapter.OnTextChanged)null, (androidx.databinding.adapters.TextViewBindingAdapter.AfterTextChanged)null, activityClazzEditDescTextandroidTextAttrChanged);
            this.activityClazzEditDescription.setHint(com.ustadmobile.port.android.view.ext.StringExtKt.optional(getRoot().getContext(), activityClazzEditDescription.getResources().getString(R.string.description)));
            this.activityClazzEditEndDateEdittext.setHint(com.ustadmobile.port.android.view.ext.StringExtKt.optional(getRoot().getContext(), activityClazzEditEndDateEdittext.getResources().getString(R.string.end_date)));
            this.activityClazzEditHolidayCalendarText.setOnClickListener(mCallback60);
            com.ustadmobile.port.android.view.binding.EditTextBindingsKt.setRunOnClickWhenFocused(this.activityClazzEditHolidayCalendarText, true);
            androidx.databinding.adapters.TextViewBindingAdapter.setTextWatcher(this.activityClazzEditNameText, (androidx.databinding.adapters.TextViewBindingAdapter.BeforeTextChanged)null, (androidx.databinding.adapters.TextViewBindingAdapter.OnTextChanged)null, (androidx.databinding.adapters.TextViewBindingAdapter.AfterTextChanged)null, activityClazzEditNameTextandroidTextAttrChanged);
            this.activityClazzEditTerminologyText.setOnClickListener(mCallback62);
            com.ustadmobile.port.android.view.binding.EditTextBindingsKt.setRunOnClickWhenFocused(this.activityClazzEditTerminologyText, true);
            this.caEditCourseAddNewBlock.setOnClickNew(mCallback58);
            this.caEditCourseAddNewBlock.setCreateNewText(getRoot().getResources().getString(R.string.add_block));
            this.caEditCourseAddNewSchedule.setOnClickNew(mCallback59);
            this.caEditCourseAddNewSchedule.setCreateNewText(getRoot().getResources().getString(R.string.add_a_schedule));
            com.ustadmobile.port.android.view.binding.ImageViewBindingsKt.getImageFilePath(this.fragmentClazzEditImageView, fragmentClazzEditImageViewimageUriAttrChanged);
            this.fragmentClazzEditSchoolSelected.setHint(com.ustadmobile.port.android.view.ext.StringExtKt.optional(getRoot().getContext(), fragmentClazzEditSchoolSelected.getResources().getString(R.string.institution)));
            this.fragmentClazzEditSchoolText.setOnClickListener(mCallback56);
            com.ustadmobile.port.android.view.binding.EditTextBindingsKt.setRunOnClickWhenFocused(this.fragmentClazzEditSchoolText, true);
            this.itemPresenterFieldRowPicturePhotoicon.setOnClickListener(mCallback55);
            com.ustadmobile.port.android.view.binding.DatePickerBindingAdapter2Kt.setDateTimeInMillisChanged(this.mboundView13, mboundView13dateTimeInMillisAttrChanged);
            com.ustadmobile.port.android.view.binding.EditTextBindingsKt.setRunOnClickWhenFocused(this.mboundView13, true);
            this.mboundView15.setOnClickListener(mCallback57);
            com.ustadmobile.port.android.view.binding.MessageIdAutoCompleteTextViewBindingsKt.setSelectedMessageIdListener(this.mboundView18, mboundView18selectedMessageIdOptionAttrChanged);
            com.ustadmobile.port.android.view.binding.DatePickerBindingAdapter2Kt.setDateTimeInMillisChanged(this.startDateText, startDateTextdateTimeInMillisAttrChanged);
            com.ustadmobile.port.android.view.binding.EditTextBindingsKt.setRunOnClickWhenFocused(this.startDateText, true);
            // api target 3
            if(getBuildSdkInt() >= 3) {

                this.activityClazzEditHolidayCalendarText.setInputType(android.text.InputType.TYPE_NULL);
                this.activityClazzEditTerminologyText.setInputType(android.text.InputType.TYPE_NULL);
                this.fragmentClazzEditSchoolText.setInputType(android.text.InputType.TYPE_NULL);
                this.mboundView13.setInputType(android.text.InputType.TYPE_NULL);
                this.startDateText.setInputType(android.text.InputType.TYPE_NULL);
            }
        }
        if ((dirtyFlags & 0x42000L) != 0) {
            // api target 1

            com.ustadmobile.port.android.view.binding.TextInputLayoutBindingsKt.setErrorText(this.activityClazzEditEndDateEdittext, clazzEndDateError);
            this.activityClazzEditEndDateEdittext.setErrorEnabled(clazzEndDateErrorJavaLangObjectNull);
        }
        if ((dirtyFlags & 0x41000L) != 0) {
            // api target 1

            com.ustadmobile.port.android.view.binding.TextInputLayoutBindingsKt.setErrorText(this.activityClazzEditStartDateEdittext, clazzStartDateError);
            this.activityClazzEditStartDateEdittext.setErrorEnabled(clazzStartDateErrorJavaLangObjectNull);
        }
        if ((dirtyFlags & 0x40004L) != 0) {
            // api target 1

            com.ustadmobile.port.android.view.binding.ImageViewBindingsKt.setImageViewLifecycleObserver(this.fragmentClazzEditImageView, imageViewLifecycleObserver);
        }
        if ((dirtyFlags & 0x40400L) != 0) {
            // api target 1

            com.ustadmobile.port.android.view.binding.ImageViewBindingsKt.setImageFilePath(this.fragmentClazzEditImageView, coursePictureCoursePictureUri, (android.graphics.drawable.Drawable)null);
        }
        if ((dirtyFlags & 0x54040L) != 0) {
            // api target 1

            com.ustadmobile.port.android.view.binding.DatePickerBindingAdapter2Kt.setDateTime2(this.mboundView13, clazzClazzEndTime, timeZoneId, androidxDatabindingViewDataBindingSafeUnboxDateTimeModeEnd);
        }
        if ((dirtyFlags & 0x60040L) != 0) {
            // api target 1

            com.ustadmobile.port.android.view.binding.MessageIdAutoCompleteTextViewBindingsKt.setMessageIdOptions(this.mboundView18, enrolmentPolicy, clazzClazzEnrolmentPolicy);
        }
        if ((dirtyFlags & 0x58040L) != 0) {
            // api target 1

            com.ustadmobile.port.android.view.binding.DatePickerBindingAdapter2Kt.setDateTime2(this.startDateText, clazzClazzStartTime, timeZoneId, androidxDatabindingViewDataBindingSafeUnboxDateTimeMode);
        }
        executeBindingsOn(caEditCourseAddNewBlock);
        executeBindingsOn(caEditCourseAddNewSchedule);
    }
    // Listener Stub Implementations
    // callback impls
    public final void _internalCallbackOnClick(int sourceId , android.view.View callbackArg_0) {
        switch(sourceId) {
            case 1: {
                // localize variables for thread safety


                if ((fragmentClazzEditImageView) != (null)) {


                    fragmentClazzEditImageView.callOnClick();
                }
                break;
            }
            case 2: {
                // localize variables for thread safety
                // mPresenter != null
                boolean mPresenterJavaLangObjectNull = false;
                // mPresenter
                com.ustadmobile.core.controller.ClazzEdit2Presenter mPresenter = mMPresenter;



                mPresenterJavaLangObjectNull = (mPresenter) != (null);
                if (mPresenterJavaLangObjectNull) {


                    mPresenter.handleClickSchool();
                }
                break;
            }
            case 5: {
                // localize variables for thread safety
                // scheduleOneToManyListener != null
                boolean scheduleOneToManyListenerJavaLangObjectNull = false;
                // scheduleOneToManyListener
                com.ustadmobile.core.util.OneToManyJoinEditListener<com.ustadmobile.lib.db.entities.Schedule> scheduleOneToManyListener = mScheduleOneToManyListener;



                scheduleOneToManyListenerJavaLangObjectNull = (scheduleOneToManyListener) != (null);
                if (scheduleOneToManyListenerJavaLangObjectNull) {


                    scheduleOneToManyListener.onClickNew();
                }
                break;
            }
            case 8: {
                // localize variables for thread safety
                // mPresenter != null
                boolean mPresenterJavaLangObjectNull = false;
                // mPresenter
                com.ustadmobile.core.controller.ClazzEdit2Presenter mPresenter = mMPresenter;



                mPresenterJavaLangObjectNull = (mPresenter) != (null);
                if (mPresenterJavaLangObjectNull) {


                    mPresenter.handleTerminologyClicked();
                }
                break;
            }
            case 3: {
                // localize variables for thread safety
                // mPresenter != null
                boolean mPresenterJavaLangObjectNull = false;
                // mPresenter
                com.ustadmobile.core.controller.ClazzEdit2Presenter mPresenter = mMPresenter;



                mPresenterJavaLangObjectNull = (mPresenter) != (null);
                if (mPresenterJavaLangObjectNull) {


                    mPresenter.handleClickTimezone();
                }
                break;
            }
            case 6: {
                // localize variables for thread safety
                // mPresenter != null
                boolean mPresenterJavaLangObjectNull = false;
                // mPresenter
                com.ustadmobile.core.controller.ClazzEdit2Presenter mPresenter = mMPresenter;



                mPresenterJavaLangObjectNull = (mPresenter) != (null);
                if (mPresenterJavaLangObjectNull) {


                    mPresenter.handleHolidayCalendarClicked();
                }
                break;
            }
            case 4: {
                // localize variables for thread safety
                // activityEventHandler != null
                boolean activityEventHandlerJavaLangObjectNull = false;
                // activityEventHandler
                com.ustadmobile.port.android.view.ClazzEditFragmentEventHandler activityEventHandler = mActivityEventHandler;



                activityEventHandlerJavaLangObjectNull = (activityEventHandler) != (null);
                if (activityEventHandlerJavaLangObjectNull) {


                    activityEventHandler.onAddCourseBlockClicked();
                }
                break;
            }
        }
    }
    public final void _internalCallbackOnCheckedChanged(int sourceId , android.widget.CompoundButton callbackArg_0, boolean callbackArg_1) {
        // localize variables for thread safety
        // activityEventHandler != null
        boolean activityEventHandlerJavaLangObjectNull = false;
        // activityEventHandler
        com.ustadmobile.port.android.view.ClazzEditFragmentEventHandler activityEventHandler = mActivityEventHandler;



        activityEventHandlerJavaLangObjectNull = (activityEventHandler) != (null);
        if (activityEventHandlerJavaLangObjectNull) {



            activityEventHandler.handleAttendanceClicked(callbackArg_1);
        }
    }
    // dirty flag
    private  long mDirtyFlags = 0xffffffffffffffffL;
    /* flag mapping
        flag 0 (0x1L): caEditCourseAddNewBlock
        flag 1 (0x2L): caEditCourseAddNewSchedule
        flag 2 (0x3L): imageViewLifecycleObserver
        flag 3 (0x4L): scheduleOneToManyListener
        flag 4 (0x5L): loading
        flag 5 (0x6L): courseBlockOneToManyListener
        flag 6 (0x7L): clazz
        flag 7 (0x8L): activityEventHandler
        flag 8 (0x9L): mPresenter
        flag 9 (0xaL): fieldsEnabled
        flag 10 (0xbL): coursePicture
        flag 11 (0xcL): featuresBitmaskFlags
        flag 12 (0xdL): clazzStartDateError
        flag 13 (0xeL): clazzEndDateError
        flag 14 (0xfL): dateTimeModeEnd
        flag 15 (0x10L): dateTimeMode
        flag 16 (0x11L): timeZoneId
        flag 17 (0x12L): enrolmentPolicy
        flag 18 (0x13L): null
    flag mapping end*/
    //end
}